Subject: Re: [Shop-talk] led security lighting vrs incandescent`

From: Larry Spector <[email-masked]>
Date: Wed, 5 Nov 2014 21:17:28 -0500

I made the switch a couple of years ago. The light output is definitely
good, but not longevity. I had two LED fixtures die at just over a year,
and because the bulb wasn't replaceable, had to replace both fixtures.
Fortunately, I kept the receipt and Home Depot replaced them under warranty.

If I had it to do over, I'd probably go with fixtures that take normal
incandescent bulbs but use LED flood bulbs in them to make them serviceable.

-Larry

On Wed, Nov 5, 2014 at 6:01 PM, John Niolon <[email-masked]> wrote:

> I've just changed out 5 of 8 bulbs in my corner lights on the house and
> shop... they are typical 500 watt
> halogen stick light fixtures... they have a pretty long life as they are
> not
> dusk to dawn and we only use then for company arrivals and work in front of
> the shop...
>
> the problem is that the fixtures are metal and the lense covers are plastic
> that is old (20 years) and brittle and I now have 3 of the eight with
> cracked
> or missing lense covers... I've had to Rube Goldberg some lense cover
> retainers...
>
> so I'm thinking of replacing and considering LED....  I know the cost
> difference but I like the low wattage and long life expect...     my
> question
> is the light output   how do they compare watt for watt as far as flood
> light
> illumination !!!   are they as bright ??   fill me in led gurus
>
> thanks
> john
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive

---

From: Doug Braun <[email-masked]>
Date: Wed, 5 Nov 2014 22:41:39 -0500

Rule #1 for buying  lighting:  never buy anything from Feit Electric.
It is guaranteed to crap out eventually.

In my house, we have at least 40 LED bulbs.  A majority are the
type that HD sells (made by Cree) that are designed to be retrofitted into
ceiling cans,
and the rest are screw-in light bulb replacements from Philips and Cree.
Many of these lights are in rooms like the kitchen and den, and are in use
for hours each day.
In two years, I have had ZERO failures.

Doug

On Wed, Nov 5, 2014 at 9:17 PM, Larry Spector <[email-masked]> wrote:

> Donate: http://www.team.net/donate.html
> Suggested annual donation  $12.96
> Forums: http://www.team.net/forums
> Unsubscribe/Manage:
> http://autox.team.net/mailman/options/shop-talk/[email-masked]

[email-masked]